@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;900&display=swap");

*,
::after,
::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.general-container {
  display: flex;
  height: 25rem;
  margin: 0 auto;
  max-width: 100%;
}

.radio {
  display: none;
}

.content {
  background-color: #dc043f;
  border-radius: 3rem;
  cursor: pointer;
  flex: 1;
  margin-right: 0.8rem;
  overflow: hidden;
  position: relative;
  transition: all 0.5s cubic-bezier(0.05, 0.61, 0.41, 0.95);
}

.content:hover {
  box-shadow: 0.3rem 0.3rem 0.4rem rgba(0, 0, 0, 0.3);
}

.icon {
  align-items: center;
  background-color: var(--white);
  border-radius: 50%;
  bottom: 1rem;
  color: var(--golden-tainoi);
  display: flex;
  font-size: 1.5rem;
  height: 2.5rem;
  justify-content: center;
  left: 1.1rem;
  position: absolute;
  width: 2.5rem;
}

.content:nth-of-type(2) {
  background-color: #78b22e;
}

.content:nth-of-type(3) {
  background-color: #ffbd00;
}

.content:nth-of-type(4) {
  background-color: #b5b3b3;
}

.content:nth-of-type(5) {
  background-color: #78b22e;
}
.content:nth-of-type(6) {
  background-color: #07aabf;
  margin-right: 0;
}

.content:nth-of-type(2) .icon {
  color: var(--dark-gray);
}

.content:nth-of-type(3) .icon {
  color: var(--dark-blue);
}

.content:nth-of-type(4) .icon {
  color: var(--gray);
}

.content:nth-of-type(5) .icon {
  color: var(--golden);
}

.card-title1,
.card-title1-1,
.card-title2,
.card-title2-1,
.trusrbtn1 {
  margin-left: 6rem;
  font-weight: bold;
  transform: translateX(2rem);
  transition: 290ms cubic-bezier(0.05, 0.61, 0.41, 0.95) 300ms;
  transition-property: opacity, transform;
  user-select: none;
  white-space: unset;
}

.card-title1 {
  margin-bottom: 10px;
}
.card-title2 {
  margin-left: 6rem;
}
.card-title2-1 {
  margin-left: 2rem;
}
.card-title1-1 {
  margin-left: 1rem;
}
.trusrbtn1 {
  margin-left: auto;
  margin-right: 3rem;
  background-color: transparent !important;
  color: #fff !important;
  right: 0px;
  left: auto;
  bottom: 10px !important;
  position: absolute !important;
}
.card-title {
  bottom: 1.2rem;
  color: var(--white);
  display: flex;
  flex-direction: column;
  font-size: 1.5rem;
  left: 5.5rem;
  margin-left: 4.5rem;
  margin-bottom: 10px;
  line-height: 1.1;
  opacity: 0;
  margin-top: 40px !important;
  text-shadow: 0.05rem 0.05rem 0.1rem rgba(0, 0, 0, 0.5);
  transform: translateX(2rem);
  transition: 290ms cubic-bezier(0.05, 0.61, 0.41, 0.95) 300ms;
  transition-property: opacity, transform;
  user-select: none;
  white-space: unset;
  /* display: none; */
}

.subtitle {
  font-size: 0.9rem;
}

/* Effect */
.radio:checked + .content {
  border-radius: 2rem;
  box-shadow: 0.3rem 0.3rem 0.4rem rgba(0, 0, 0, 0.3);
  flex: 10;
}

.radio:checked + .content > .card-title,
.radio:checked + .content > .card-title1 {
  opacity: 1;
  transform: translateX(0);
}

@media screen and (max-width:993px) and (min-width:768px){
    .general-container {
  
  height: 30rem;
 
}

}

/* ---------------- MOBILE ---------------- */



@media screen and (max-width: 767px) {
  .general-container {
    display: flex !important;
    flex-direction: column !important;
    height: 100%;
    width: 100%;
  }

  .content {
    margin-right: 0;
    margin-bottom: 0.8rem;
    flex: 1;
    border-radius: 2rem;
    transition: all 0.5s cubic-bezier(0.05, 0.61, 0.41, 0.95);
  }

  .content:last-child {
    margin-bottom: 0;
  }

  /* When selected expand vertically */
  .radio:checked + .content {
    flex: 6;
  }

  /* Title animation for mobile */
  .card-title {
    white-space: normal;
  }
  
   .last-title, .last-title1  {
                      padding-bottom:15%;

                    }
                    
                    .trusrbtn1{
                        font-size:80%;
                    }
}
